Issue 121767 - (winA11y) [META] ACCESSIBILITY - Windows - issue tracking for Assitive Technology support [ia2]
(winA11y)
[META] ACCESSIBILITY - Windows - issue tracking for Assitive Technology suppo...
Status: CONFIRMED
Product: ui
Classification: Code
Component: AccessBridge
AOO400-dev
All Windows, all
: P3 normal (vote)
: ---
Assigned To: AOO issues mailing list
V Stuart Foote
: accessibility
Depends on: 81026 81027 116170 117209 122363 123630 123631 123632 123633 123657 123658 123659 123660 123827 123933 123934 124140 124360 124363 124364 86078 107914 117570 121510 121761 121762 121764 121765 121833 122230 123619 123620 123622 123629 123636 123640 123643 123745 123986 124095 124164 124573
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 17:31 UTC by V Stuart Foote
Modified: 2014-04-02 16:01 UTC (History)
7 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description V Stuart Foote 2013-02-13 17:31:56 UTC
Meta bug for tracking issues affecting accessibility and support for assistive technologies on Windows OSs. E.g. ia2 IAccessible2 and Java Access Bridge, UNO Accessibility API api and gsl changes, etc.
Comment 1 V Stuart Foote 2013-02-13 18:24:16 UTC
Opened this meta bug as there are a lot of accessibility issues across the Bugzilla archive -- intent to with a little organization of the historical into a meta bug we can assure that substantive issues raised in the past don't get missed and can be used to help in the IAccessible2 merge of the ia2 branch. 

Generic Apache OOo Bugzilla query for accessibility - ALL PLATFORMS - careful its not 100%, and note that some of the ATK/AT-SPI issues have analogs under IAccessible2

https://issues.apache.org/ooo/buglist.cgi?list_id=45872&short_desc=ACC%3A%20[ia2]%20msaa%20accessible%20iaccessible%20iaccessible2%20accessibility&resolution=---&query_based_on=all-AOO_accessibility&query_format=advanced&short_desc_type=anywordssubstr
Comment 2 V Stuart Foote 2013-05-11 17:57:21 UTC
The Keyword "accessibility" is well assigned, can use this as a potential start point for BZ query:

https://issues.apache.org/ooo/query.cgi?bug_status=UNCONFIRMED&bug_status=CONFIRMED&bug_status=ACCEPTED&bug_status=REOPENED&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&keywords=accessibility-external%2C accessibility&keywords_type=anywords&query_format=advanced&resolution=---&resolution=FIXED&resolution=DUPLICATE&resolution=IRREPRODUCIBLE&resolution=INVALID&resolution=WONTFIX&resolution=MOVED
Comment 4 James Teh 2013-11-05 03:11:54 UTC
Can we have an alias such as winA11y on this bug please? :)
Comment 5 V Stuart Foote 2013-11-16 19:33:58 UTC
The last ia2 branch build was rev 1540658

The first build of trunk with ia2 branch reintegrated is rev 1542312, testing of Windows IAccessible2 assistive technology should shift to the nightly Windows build of trunk -- here: http://ci.apache.org/projects/openoffice/#win